Package com.sleepycat.db

## Interface PartitionHandler

    public interface PartitionHandler

An interface specifying how to set up database partitioning. Implementation of this interface is required when `Database` is opened and `DatabaseConfig.setPartitionByCallback` is called.

You configure the database with this handler using the `DatabaseConfig.setPartitionByCallback` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `partition​(Database db, DatabaseEntry key)` The application-specific database partitioning callback.

### Method Detail

#### partition

    int partition​(Database db,
                  DatabaseEntry key)

The application-specific database partitioning callback.

Parameters:
  `db` - The enclosing database handle.
  `key` - A database entry representing a database key.
Returns:
  A partition number for the key.